Skip to content
Browse files

Update AFNetworking 1.0 spec to RC4

  • Loading branch information...
1 parent b677c22 commit 9f3d25e48dcd4e694554262e9e543e1474828542 @mattt mattt committed Oct 5, 2012
Showing with 16 additions and 4 deletions.
  1. +16 −4 AFNetworking/1.0/AFNetworking.podspec
View
20 AFNetworking/1.0/AFNetworking.podspec
@@ -5,11 +5,23 @@ Pod::Spec.new do |s|
s.summary = 'A delightful iOS and OS X networking framework.'
s.homepage = 'https://github.com/AFNetworking/AFNetworking'
s.authors = {'Mattt Thompson' => 'm@mattt.me', 'Scott Raymond' => 'sco@gowalla.com'}
- s.source = { :git => 'https://github.com/AFNetworking/AFNetworking.git', :tag => '1.0RC3' }
+ s.source = { :git => 'https://github.com/AFNetworking/AFNetworking.git', :tag => '1.0RC4' }
s.source_files = 'AFNetworking'
s.requires_arc = true
- s.framework = 'SystemConfiguration'
- s.prefix_header_contents = "#import <SystemConfiguration/SystemConfiguration.h>"
-end
+ s.ios.deployment_target = '5.0'
+ s.ios.frameworks = 'MobileCoreServices', 'SystemConfiguration'
+
+ s.osx.deployment_target = '10.7'
+ s.osx.frameworks = 'CoreServices', 'SystemConfiguration'
+ s.prefix_header_contents = <<-EOS
+#if __IPHONE_OS_VERSION_MIN_REQUIRED
+ #import <SystemConfiguration/SystemConfiguration.h>
+ #import <MobileCoreServices/MobileCoreServices.h>
+#else
+ #import <SystemConfiguration/SystemConfiguration.h>
+ #import <CoreServices/CoreServices.h>
+#endif
+EOS
+end

1 comment on commit 9f3d25e

@fabiopelosin
CocoaPods member

@mattt Not sure if intended or not, but updating the podspec in this way means that installations that currently have 1.0RC3 will not update to 1.0RC4 or to any other version up to 1.0 included. CocoaPods is only aware of the version as reported by the podspec, so for pod update there is no change. In the future we will reinstall the Pod if the specification changed, but we are not doing it yet.

Please sign in to comment.
Something went wrong with that request. Please try again.